Workplace Mobile System Requirements

Workplace MobileWorkplace Mobile is the Workplace application designed specifically for the various mobile platforms, providing access to Autotask Workplace. is supported on the following operating systems:

iOS

  • Version 9.0 or later

Android

  • Version 5.0 or later

 

Forward this topic to others